#7 Error after update at version: 2.4.5

Version 2.x
closed-fixed
5
2013-02-28
2013-02-19
No

Hello. I have some problems after the update at 2.4.5

The errors are:

Warning: mkdir(): Permission denied in /http/mutillidae/owasp-esapi-php/lib/apache-log4php/trunk/src/main/php/appenders/LoggerAppenderFile.php on line 63

Warning: fopen(./../test/testoutput/ESAPI_logging_file_test): failed to open stream: No such file or directory in /http/mutillidae/owasp-esapi-php/lib/apache-log4php/trunk/src/main/php/appenders/LoggerAppenderFile.php on line 66

I have tried to add umask(0) before the creating of the directory but the problem persist, i have checked all my file properties, they are owned and have the proper rights by http user:
drwxrwxr-x 12 http http 4096 Feb 19 12:37 mutillidae
Wat i have tried, added umask(0) before dir creation, the error persist, and did a var_dump() for the file that needs to be opened, and it is null. This is somehow strange because i have checked and under test/ i have the file...

My OS: Linux arch-linux-pc 3.7.8-1-ARCH #1 SMP PREEMPT Fri Feb 15 03:39:05 EET 2013 x86_64 G
My PHP version: PHP 5.4.11 (cli) (built: Jan 19 2013 15:14:47)
MySQL version: mysql 5.5.30-1

I will try an debug, hope that i can spot the problem. Thank you.

Discussion

  • Jeremy Druin

    Jeremy Druin - 2013-02-19
    • assigned_to: nobody --> jdruin
    • status: open --> open-accepted
     
  • Lazar Florentin

    Lazar Florentin - 2013-02-20
    • status: open-accepted --> closed-accepted
     
  • Jeremy Druin

    Jeremy Druin - 2013-02-28
    • status: closed-accepted --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks